%define name      unfs3
%define prog      unfsd


Summary:          A user-space NFSv3 server
Name:             %{name}
Version:          0.9.21
Release:          1%{?dist}%{?pext}
License:          distributable
Group:            System Environment/Daemons
Source0:          http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:          %{prog}.init
Source2:          %{prog}.sysconfig
URL:              http://%{name}.sourceforge.net/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Pascal Schmidt <unfs3-server@ewetel.net>
Provides:         nfs-server
Requires:         portmap %{_sysconfdir}/exports
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    bison flex


%description
UNFS3 is a user-space implementation of the NFSv3 server specification.
It provides a daemon for the MOUNT and NFS protocols, which are used by
NFS clients for accessing files on the server.


%prep
%setup -q

# Prevent python deps
find contrib -type f -exec %{__chmod} a-x {} \;


%build
%configure \
	--enable-cluster

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{prog}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{prog}

%{__cp}      -rpd    contrib    ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%post
/sbin/chkconfig --add %{prog}


%preun
if [ $1 = 0 ]; then	# Remove
  /sbin/service %{prog} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{prog}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{prog} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BRANCHES CREDITS LICENSE NEWS README*
%doc %dir doc
%{_initrddir}/%{prog}
%config(noreplace) %{_sysconfdir}/sysconfig/%{prog}
%{_sbindir}/%{prog}
%{_mandir}/man7/tags.7*
%{_mandir}/man8/%{prog}.8*
%{_datadir}/%{name}


%changelog
* Wed Jul 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.21-1
- New version (0.9.21)

* Sun Feb 17 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.20-1
- Initial build
